# This file created by conda-build 24.11.2
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sat Dec  7 19:30:26 2024
# ------------------------------------------------

package:
  name: rfc3339-validator
  version: 0.1.4
source:
  sha256: 138a2abdf93304ad60530167e51d2dfb9549521a836871b88d7f4695d0022f6b
  url: https://pypi.org/packages/source/r/rfc3339-validator/rfc3339_validator-0.1.4.tar.gz
build:
  noarch: python
  number: '1'
  script:
    - /home/conda/feedstock_root/build_artifacts/rfc3339-validator_1733599910982/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
      -m pip install . -vv --no-deps --no-build-isolation --disable-pip-version-check
  string: pyhd8ed1ab_1
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.8.30 hbcca054_0
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - liblzma 5.6.3 hb9d3cd8_1
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.47.0 hadc24fc_1
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - pip 24.3.1 pyh8b19718_0
    - python 3.9.21 h9c0c6dc_1_cpython
    - readline 8.2 h8228510_1
    - setuptools 75.6.0 pyhff2d567_1
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024b hc8b5060_0
    - wheel 0.45.1 pyhd8ed1ab_1
  run:
    - python >=3.9
    - six
test:
  commands:
    - pip check
    - pytest --cov=rfc3339_validator --cov-report=term-missing:skip-covered --no-cov-on-fail
      --cov-fail-under=95
  imports:
    - rfc3339_validator
  requires:
    - hypothesis
    - pip
    - pytest-cov
    - pytest-runner
    - python 3.9.*
    - strict-rfc3339
  source_files:
    - tests
about:
  home: https://github.com/naimetti/rfc3339-validator
  license: MIT
  license_file: LICENSE
  summary: A pure python RFC3339 validator
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20241207.2.1
  recipe-maintainers:
    - bollwyvl
  remote_url: https://github.com/conda-forge/rfc3339-validator-feedstock
  sha: 3bfc29b0e22fafae47398e4a8d65ab4e8d6683d5
